<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>
<body>
  <header></header>
  <!-- <a href="https://t34.universo.pro/o/authorize/?response_type=code&code_challenge=${req.session.user.pkce.code_challenge}&code_challenge_method=S256&client_id=${CLIENT_ID}&redirect_uri=http://127.0.0.1:3000/auth/callback">Вход</a> -->
  <h1>Hello</h1>
  <p>Привет, мир!</p>
  <script>
    axios.get('/auth/link')
    .then(response => {
      console.log(response);
      if ('data' in response.data) {
        let headerEl = document.querySelector('header');
        headerEl.innerHTML = `<a href="${response.data.data.link}">Вход</a>`;
      }
    });
  </script>
</body>
</html>
